Uploaded image for project: 'Felix'
  1. Felix
  2. FELIX-1957

Make Web Console compatible with OSGi/Minimum-1.0 EE

    XMLWordPrintableJSON

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: webconsole-2.0.4
    • Fix Version/s: webconsole-2.0.6
    • Component/s: Web Console
    • Labels:
      None

      Description

      Currently the Web Console requires some methods that are JDK 1.4+ specific.
      In some embedded JVM the methods are not available.
      However, it's not needed to sync with each embedded JVM but make sure to run at least at OSGi/Minimum-1.0 Execution Environment.

      The problem methods are:
      String.matches(pattern); (LicenseServlet & BundlesServlet)
      String.replaceAll(); (ConfigurationRender)
      String.split(); (BundleRepositoryRender)

      The class LinkedHashMap is missing in OSGi/Minimum-1.0 EE but used in the ConfigurationListener.

        Attachments

        1. mathes-patch.patch
          1 kB
          Valentin Valchev

          Issue Links

            Activity

              People

              • Assignee:
                fmeschbe Felix Meschberger
                Reporter:
                v_valchev Valentin Valchev
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: